Timekit developers

POST /findtime/filtercollections

You can save a collection of filters if you want to reuse them in a FindTime request. This endpoint takes a JSON structure like the one you would normally pass to the "filters" key in FindTime.

In your FindTime request, use the filtercollection_id to pass the ID of your new filter collection and those filters will be taken into account when calculating availability.

Endpoint

POST https://api.timekit.io/v2/findtime/filtercollections

Parameters

Name In Type Required Default Description
and body array_object Add "AND" filters to this collection
or body array_object Add "OR" filters to this collection
after body array_object Add "AFTER" filters to this collection

Request examples

json
{
  "and": [
    {
      "specific_day": {
        "day": "Friday"
      }
    }
  ]
}

Response examples

201

json
{
  "data": {
    "id": "e5a509c4-298d-44f3-ba7a-375dc5bd5e8c",
    "content": {
      "and": [
        {
          "specific_day": {
            "day": "Friday"
          }
        }
      ]
    },
    "created_at": "2016-02-08T16:01:06+0100",
    "updated_at": "2016-02-08T16:01:06+0100"
  }
}